﻿namespace A6MinotaurLabyrinth
{
	/// <summary>
	/// Represents one of the several monster types in the game.
	/// </summary>
	public abstract class Monster
	{
		// The monster's current location.
		public Location Location { get; set; }

		// Whether the monster is alive or not.
		public bool IsAlive { get; set; } = true;

		// Creates a monster at the given location.
		public Monster(Location start) => Location = start;

		// Called when the monster and the player are both in the same room. Gives
		// the monster a chance to do its thing.
		public abstract void Activate(LabyrinthGame game);
	}

	//TODO: (A8) Add a Minotaur class that inherits from the Monster class. Make sure to implement any abstract methods.
	//When activated, the minotaur charges and knocks the player two spaces east (+2 columns) and one space north (-1 row) and the minotaur moves two spaces west (-2 columns) and one space south (+1 row). 
	//Ensure both player and minotaur stay within the boundaries of the map. 
	//If the player has found the sword, the minotaur will hide it in a random room.
}
